You can subscribe to this list here.
| 2006 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
(6) |
Jul
(14) |
Aug
(156) |
Sep
(35) |
Oct
(48) |
Nov
(55) |
Dec
(16) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2007 |
Jan
(24) |
Feb
(154) |
Mar
(139) |
Apr
(175) |
May
(87) |
Jun
(34) |
Jul
(42) |
Aug
(68) |
Sep
(41) |
Oct
(76) |
Nov
(77) |
Dec
(50) |
| 2008 |
Jan
(98) |
Feb
(43) |
Mar
(102) |
Apr
(27) |
May
(55) |
Jun
(13) |
Jul
(58) |
Aug
(62) |
Sep
(61) |
Oct
(43) |
Nov
(87) |
Dec
(134) |
| 2009 |
Jan
(175) |
Feb
(106) |
Mar
(58) |
Apr
(41) |
May
(74) |
Jun
(123) |
Jul
(252) |
Aug
(192) |
Sep
(69) |
Oct
(38) |
Nov
(117) |
Dec
(95) |
| 2010 |
Jan
(146) |
Feb
(76) |
Mar
(90) |
Apr
(60) |
May
(23) |
Jun
(19) |
Jul
(208) |
Aug
(140) |
Sep
(103) |
Oct
(114) |
Nov
(50) |
Dec
(47) |
| 2011 |
Jan
(59) |
Feb
(47) |
Mar
(61) |
Apr
(58) |
May
(41) |
Jun
(11) |
Jul
(17) |
Aug
(49) |
Sep
(34) |
Oct
(166) |
Nov
(38) |
Dec
(70) |
| 2012 |
Jan
(87) |
Feb
(37) |
Mar
(28) |
Apr
(25) |
May
(29) |
Jun
(30) |
Jul
(43) |
Aug
(27) |
Sep
(46) |
Oct
(27) |
Nov
(51) |
Dec
(70) |
| 2013 |
Jan
(92) |
Feb
(34) |
Mar
(58) |
Apr
(37) |
May
(46) |
Jun
(9) |
Jul
(38) |
Aug
(22) |
Sep
(28) |
Oct
(42) |
Nov
(44) |
Dec
(34) |
| 2014 |
Jan
(63) |
Feb
(39) |
Mar
(48) |
Apr
(31) |
May
(21) |
Jun
(43) |
Jul
(36) |
Aug
(69) |
Sep
(53) |
Oct
(56) |
Nov
(46) |
Dec
(49) |
| 2015 |
Jan
(63) |
Feb
(35) |
Mar
(30) |
Apr
(38) |
May
(27) |
Jun
(42) |
Jul
(42) |
Aug
(63) |
Sep
(18) |
Oct
(45) |
Nov
(65) |
Dec
(71) |
| 2016 |
Jan
(54) |
Feb
(79) |
Mar
(59) |
Apr
(38) |
May
(32) |
Jun
(46) |
Jul
(42) |
Aug
(30) |
Sep
(58) |
Oct
(33) |
Nov
(98) |
Dec
(59) |
| 2017 |
Jan
(79) |
Feb
(12) |
Mar
(43) |
Apr
(32) |
May
(76) |
Jun
(59) |
Jul
(44) |
Aug
(14) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: <abe...@us...> - 2017-07-07 17:35:44
|
Revision: 8427
http://sourceforge.net/p/astlinux/code/8427
Author: abelbeck
Date: 2017-07-07 17:35:41 +0000 (Fri, 07 Jul 2017)
Log Message:
-----------
pciutils, version bump to 3.5.5
Modified Paths:
--------------
branches/1.0/package/pciutils/pciutils.mk
Modified: branches/1.0/package/pciutils/pciutils.mk
===================================================================
--- branches/1.0/package/pciutils/pciutils.mk 2017-07-07 15:36:37 UTC (rev 8426)
+++ branches/1.0/package/pciutils/pciutils.mk 2017-07-07 17:35:41 UTC (rev 8427)
@@ -4,7 +4,7 @@
#
#############################################################
-PCIUTILS_VERSION = 3.5.4
+PCIUTILS_VERSION = 3.5.5
PCIUTILS_SITE = $(BR2_KERNEL_MIRROR)/software/utils/pciutils
PCIUTILS_SOURCE = pciutils-$(PCIUTILS_VERSION).tar.xz
PCIUTILS_INSTALL_STAGING = YES
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-07-07 15:36:39
|
Revision: 8426
http://sourceforge.net/p/astlinux/code/8426
Author: abelbeck
Date: 2017-07-07 15:36:37 +0000 (Fri, 07 Jul 2017)
Log Message:
-----------
acme, dns_dyn.sh, for compatibility upstream, remove trailing spaces and empty last line
Modified Paths:
--------------
branches/1.0/package/acme/dnsapi/dns_dyn.sh
Modified: branches/1.0/package/acme/dnsapi/dns_dyn.sh
===================================================================
--- branches/1.0/package/acme/dnsapi/dns_dyn.sh 2017-07-07 02:58:42 UTC (rev 8425)
+++ branches/1.0/package/acme/dnsapi/dns_dyn.sh 2017-07-07 15:36:37 UTC (rev 8426)
@@ -240,7 +240,7 @@
_info "Publishing zone"
- data="{\"publish\":\"true\"}"
+ data="{\"publish\":\"true\"}"
dyn_url="$DYN_API/Zone/$_dyn_zone/"
method="PUT"
@@ -337,4 +337,3 @@
_dyn_authtoken=""
return 0
}
-
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-07-07 02:58:44
|
Revision: 8425
http://sourceforge.net/p/astlinux/code/8425
Author: abelbeck
Date: 2017-07-07 02:58:42 +0000 (Fri, 07 Jul 2017)
Log Message:
-----------
acme, add 'dns_dyn' DNS challenge validation script for Dyn Managed DNS API
Modified Paths:
--------------
branches/1.0/package/acme/acme.mk
Added Paths:
-----------
branches/1.0/package/acme/dnsapi/
branches/1.0/package/acme/dnsapi/dns_dyn.sh
Modified: branches/1.0/package/acme/acme.mk
===================================================================
--- branches/1.0/package/acme/acme.mk 2017-07-03 20:47:57 UTC (rev 8424)
+++ branches/1.0/package/acme/acme.mk 2017-07-07 02:58:42 UTC (rev 8425)
@@ -18,6 +18,7 @@
define ACME_INSTALL_TARGET_CMDS
$(INSTALL) -D -m 0644 package/acme/deploy/astlinux.sh $(TARGET_DIR)/stat/etc/acme/deploy/astlinux.sh
$(INSTALL) -D -m 0644 package/acme/deploy/ssh.sh $(TARGET_DIR)/stat/etc/acme/deploy/ssh.sh
+ $(INSTALL) -D -m 0644 package/acme/dnsapi/dns_dyn.sh $(TARGET_DIR)/stat/etc/acme/dnsapi/dns_dyn.sh
$(INSTALL) -D -m 0755 package/acme/acme-client.sh $(TARGET_DIR)/usr/sbin/acme-client
$(INSTALL) -D -m 0755 $(@D)/acme.sh $(TARGET_DIR)/stat/etc/acme/acme.sh
cp -a $(@D)/dnsapi $(TARGET_DIR)/stat/etc/acme/
Added: branches/1.0/package/acme/dnsapi/dns_dyn.sh
===================================================================
--- branches/1.0/package/acme/dnsapi/dns_dyn.sh (rev 0)
+++ branches/1.0/package/acme/dnsapi/dns_dyn.sh 2017-07-07 02:58:42 UTC (rev 8425)
@@ -0,0 +1,340 @@
+#!/usr/bin/env sh
+#
+# Dyn.com Domain API
+#
+# Author: Gerd Naschenweng
+# https://github.com/magicdude4eva
+#
+# Dyn Managed DNS API
+# https://help.dyn.com/dns-api-knowledge-base/
+#
+# It is recommended to add a "Dyn Managed DNS" user specific for API access.
+# The "Zones & Records Permissions" required by this script are:
+# --
+# RecordAdd
+# RecordUpdate
+# RecordDelete
+# RecordGet
+# ZoneGet
+# ZoneAddNode
+# ZoneRemoveNode
+# ZonePublish
+# --
+#
+# Pass credentials before "acme.sh --issue --dns dns_dyn ..."
+# --
+# export DYN_Customer="customer"
+# export DYN_Username="apiuser"
+# export DYN_Password="secret"
+# --
+
+DYN_API="https://api.dynect.net/REST"
+
+#REST_API
+######## Public functions #####################
+
+#Usage: add _acme-challenge.www.domain.com "Challenge-code"
+dns_dyn_add() {
+ fulldomain="$1"
+ txtvalue="$2"
+
+ DYN_Customer="${DYN_Customer:-$(_readaccountconf_mutable DYN_Customer)}"
+ DYN_Username="${DYN_Username:-$(_readaccountconf_mutable DYN_Username)}"
+ DYN_Password="${DYN_Password:-$(_readaccountconf_mutable DYN_Password)}"
+ if [ -z "$DYN_Customer" ] || [ -z "$DYN_Username" ] || [ -z "$DYN_Password" ]; then
+ DYN_Customer=""
+ DYN_Username=""
+ DYN_Password=""
+ _err "You must export variables: DYN_Customer, DYN_Username and DYN_Password"
+ return 1
+ fi
+
+ #save the config variables to the account conf file.
+ _saveaccountconf_mutable DYN_Customer "$DYN_Customer"
+ _saveaccountconf_mutable DYN_Username "$DYN_Username"
+ _saveaccountconf_mutable DYN_Password "$DYN_Password"
+
+ if ! _dyn_get_authtoken; then
+ return 1
+ fi
+
+ if [ -z "$_dyn_authtoken" ]; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if ! _dyn_get_zone; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if ! _dyn_add_record; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if ! _dyn_publish_zone; then
+ _dyn_end_session
+ return 1
+ fi
+
+ _dyn_end_session
+
+ return 0
+}
+
+#Usage: fulldomain txtvalue
+#Remove the txt record after validation.
+dns_dyn_rm() {
+ fulldomain="$1"
+ txtvalue="$2"
+
+ DYN_Customer="${DYN_Customer:-$(_readaccountconf_mutable DYN_Customer)}"
+ DYN_Username="${DYN_Username:-$(_readaccountconf_mutable DYN_Username)}"
+ DYN_Password="${DYN_Password:-$(_readaccountconf_mutable DYN_Password)}"
+ if [ -z "$DYN_Customer" ] || [ -z "$DYN_Username" ] || [ -z "$DYN_Password" ]; then
+ DYN_Customer=""
+ DYN_Username=""
+ DYN_Password=""
+ _err "You must export variables: DYN_Customer, DYN_Username and DYN_Password"
+ return 1
+ fi
+
+ if ! _dyn_get_authtoken; then
+ return 1
+ fi
+
+ if [ -z "$_dyn_authtoken" ]; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if ! _dyn_get_zone; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if ! _dyn_get_record_id; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if [ -z "$_dyn_record_id" ]; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if ! _dyn_rm_record; then
+ _dyn_end_session
+ return 1
+ fi
+
+ if ! _dyn_publish_zone; then
+ _dyn_end_session
+ return 1
+ fi
+
+ _dyn_end_session
+
+ return 0
+}
+
+#################### Private functions below ##################################
+
+#get Auth-Token
+_dyn_get_authtoken() {
+
+ _info "Start Dyn API Session"
+
+ data="{\"customer_name\":\"$DYN_Customer\", \"user_name\":\"$DYN_Username\", \"password\":\"$DYN_Password\"}"
+ dyn_url="$DYN_API/Session/"
+ method="POST"
+
+ _debug data "$data"
+ _debug dyn_url "$dyn_url"
+
+ export _H1="Content-Type: application/json"
+
+ response="$(_post "$data" "$dyn_url" "" "$method")"
+ sessionstatus="$(printf "%s\n" "$response" | _egrep_o '"status" *: *"[^"]*' | head -n 1 | sed 's#^"status" *: *"##')"
+
+ _debug response "$response"
+ _debug sessionstatus "$sessionstatus"
+
+ if [ "$sessionstatus" = "success" ]; then
+ _dyn_authtoken="$(printf "%s\n" "$response" | _egrep_o '"token" *: *"[^"]*' | head -n 1 | sed 's#^"token" *: *"##')"
+ _info "Token received"
+ _debug _dyn_authtoken "$_dyn_authtoken"
+ return 0
+ fi
+
+ _dyn_authtoken=""
+ _err "get token failed"
+ return 1
+}
+
+#fulldomain=_acme-challenge.www.domain.com
+#returns
+# _dyn_zone=domain.com
+_dyn_get_zone() {
+ i=2
+ while true; do
+ domain="$(printf "%s" "$fulldomain" | cut -d . -f "$i-100")"
+ if [ -z "$domain" ]; then
+ break
+ fi
+
+ dyn_url="$DYN_API/Zone/$domain/"
+
+ export _H1="Auth-Token: $_dyn_authtoken"
+ export _H2="Content-Type: application/json"
+
+ response="$(_get "$dyn_url" "" "")"
+ sessionstatus="$(printf "%s\n" "$response" | _egrep_o '"status" *: *"[^"]*' | head -n 1 | sed 's#^"status" *: *"##')"
+
+ _debug dyn_url "$dyn_url"
+ _debug response "$response"
+ _debug sessionstatus "$sessionstatus"
+
+ if [ "$sessionstatus" = "success" ]; then
+ _dyn_zone="$domain"
+ return 0
+ fi
+ i=$(_math "$i" + 1)
+ done
+
+ _dyn_zone=""
+ _err "get zone failed"
+ return 1
+}
+
+#add TXT record
+_dyn_add_record() {
+
+ _info "Adding TXT record"
+
+ data="{\"rdata\":{\"txtdata\":\"$txtvalue\"},\"ttl\":\"300\"}"
+ dyn_url="$DYN_API/TXTRecord/$_dyn_zone/$fulldomain/"
+ method="POST"
+
+ export _H1="Auth-Token: $_dyn_authtoken"
+ export _H2="Content-Type: application/json"
+
+ response="$(_post "$data" "$dyn_url" "" "$method")"
+ sessionstatus="$(printf "%s\n" "$response" | _egrep_o '"status" *: *"[^"]*' | head -n 1 | sed 's#^"status" *: *"##')"
+
+ _debug response "$response"
+ _debug sessionstatus "$sessionstatus"
+
+ if [ "$sessionstatus" = "success" ]; then
+ _info "TXT Record successfully added"
+ return 0
+ fi
+
+ _err "add TXT record failed"
+ return 1
+}
+
+#publish the zone
+_dyn_publish_zone() {
+
+ _info "Publishing zone"
+
+ data="{\"publish\":\"true\"}"
+ dyn_url="$DYN_API/Zone/$_dyn_zone/"
+ method="PUT"
+
+ export _H1="Auth-Token: $_dyn_authtoken"
+ export _H2="Content-Type: application/json"
+
+ response="$(_post "$data" "$dyn_url" "" "$method")"
+ sessionstatus="$(printf "%s\n" "$response" | _egrep_o '"status" *: *"[^"]*' | head -n 1 | sed 's#^"status" *: *"##')"
+
+ _debug response "$response"
+ _debug sessionstatus "$sessionstatus"
+
+ if [ "$sessionstatus" = "success" ]; then
+ _info "Zone published"
+ return 0
+ fi
+
+ _err "publish zone failed"
+ return 1
+}
+
+#get record_id of TXT record so we can delete the record
+_dyn_get_record_id() {
+
+ _info "Getting record_id of TXT record"
+
+ dyn_url="$DYN_API/TXTRecord/$_dyn_zone/$fulldomain/"
+
+ export _H1="Auth-Token: $_dyn_authtoken"
+ export _H2="Content-Type: application/json"
+
+ response="$(_get "$dyn_url" "" "")"
+ sessionstatus="$(printf "%s\n" "$response" | _egrep_o '"status" *: *"[^"]*' | head -n 1 | sed 's#^"status" *: *"##')"
+
+ _debug response "$response"
+ _debug sessionstatus "$sessionstatus"
+
+ if [ "$sessionstatus" = "success" ]; then
+ _dyn_record_id="$(printf "%s\n" "$response" | _egrep_o "\"data\" *: *\[\"/REST/TXTRecord/$_dyn_zone/$fulldomain/[^\"]*" | head -n 1 | sed "s#^\"data\" *: *\[\"/REST/TXTRecord/$_dyn_zone/$fulldomain/##")"
+ _debug _dyn_record_id "$_dyn_record_id"
+ return 0
+ fi
+
+ _dyn_record_id=""
+ _err "getting record_id failed"
+ return 1
+}
+
+#delete TXT record
+_dyn_rm_record() {
+
+ _info "Deleting TXT record"
+
+ dyn_url="$DYN_API/TXTRecord/$_dyn_zone/$fulldomain/$_dyn_record_id/"
+ method="DELETE"
+
+ _debug dyn_url "$dyn_url"
+
+ export _H1="Auth-Token: $_dyn_authtoken"
+ export _H2="Content-Type: application/json"
+
+ response="$(_post "" "$dyn_url" "" "$method")"
+ sessionstatus="$(printf "%s\n" "$response" | _egrep_o '"status" *: *"[^"]*' | head -n 1 | sed 's#^"status" *: *"##')"
+
+ _debug response "$response"
+ _debug sessionstatus "$sessionstatus"
+
+ if [ "$sessionstatus" = "success" ]; then
+ _info "TXT record successfully deleted"
+ return 0
+ fi
+
+ _err "delete TXT record failed"
+ return 1
+}
+
+#logout
+_dyn_end_session() {
+
+ _info "End Dyn API Session"
+
+ dyn_url="$DYN_API/Session/"
+ method="DELETE"
+
+ _debug dyn_url "$dyn_url"
+
+ export _H1="Auth-Token: $_dyn_authtoken"
+ export _H2="Content-Type: application/json"
+
+ response="$(_post "" "$dyn_url" "" "$method")"
+
+ _debug response "$response"
+
+ _dyn_authtoken=""
+ return 0
+}
+
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-07-03 20:47:59
|
Revision: 8424
http://sourceforge.net/p/astlinux/code/8424
Author: abelbeck
Date: 2017-07-03 20:47:57 +0000 (Mon, 03 Jul 2017)
Log Message:
-----------
update ChangeLog
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-07-03 15:42:56 UTC (rev 8423)
+++ branches/1.0/docs/ChangeLog.txt 2017-07-03 20:47:57 UTC (rev 8424)
@@ -60,6 +60,8 @@
-- dialog, version bump to 1.3-20170509
+-- logrotate, version bump to 3.12.3
+
-- strace, version bump to 4.17
-- jansson, version bump to 2.10 (Asterisk 13)
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-07-03 15:42:57
|
Revision: 8423
http://sourceforge.net/p/astlinux/code/8423
Author: abelbeck
Date: 2017-07-03 15:42:56 +0000 (Mon, 03 Jul 2017)
Log Message:
-----------
logrotate, version bump to 3.12.3
Modified Paths:
--------------
branches/1.0/package/logrotate/logrotate.mk
Removed Paths:
-------------
branches/1.0/package/logrotate/logrotate-0001-upstream-werror-fixes.patch
Deleted: branches/1.0/package/logrotate/logrotate-0001-upstream-werror-fixes.patch
===================================================================
--- branches/1.0/package/logrotate/logrotate-0001-upstream-werror-fixes.patch 2017-07-01 22:53:59 UTC (rev 8422)
+++ branches/1.0/package/logrotate/logrotate-0001-upstream-werror-fixes.patch 2017-07-03 15:42:56 UTC (rev 8423)
@@ -1,71 +0,0 @@
-From b66a2c2586875a334fc3f0aa35310ffd0ec6f55d Mon Sep 17 00:00:00 2001
-From: Bert van Hall <ber...@av...>
-Date: Fri, 21 Apr 2017 16:26:02 +0200
-Subject: [PATCH] fix unused function error when building without ACL
-
-Since -Werror is set, building without ACL makes the then unused
-is_acl_well_supported function halt the build. Guard it as it is done
-with every call of it.
-
-Signed-off-by: Bert van Hall <ber...@av...>
-Closes #119
----
- logrotate.c | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/logrotate.c b/logrotate.c
-index 066c4f7..b0be177 100644
---- a/logrotate.c
-+++ b/logrotate.c
-@@ -442,6 +442,7 @@ static int runScript(struct logInfo *log, char *logfn, char *script)
- return rc;
- }
-
-+#ifdef WITH_ACL
- static int is_acl_well_supported(int err)
- {
- switch (err) {
-@@ -454,6 +455,7 @@ static int is_acl_well_supported(int err)
- return 1;
- }
- }
-+#endif /* WITH_ACL */
-
- static int createOutputFile(char *fileName, int flags, struct stat *sb,
- acl_type acl, int force_mode)
-From 4c00581c83e112dc83bc55b0ed5daba2fdaf0790 Mon Sep 17 00:00:00 2001
-From: Steven Williamson <st...@fr...>
-Date: Mon, 6 Mar 2017 12:29:22 +0000
-Subject: [PATCH] Fixes GCC sentinel error.
-
-The last argument for sentinel value functions should be a NULL pointer
-not just a NULL value. Otherwise GCC 4.x will error with "error:
-missing sentinel in function call [-Werror=format=]"
-
-Closes #108
----
- logrotate.c | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/logrotate.c b/logrotate.c
-index b0be177..dcf1076 100644
---- a/logrotate.c
-+++ b/logrotate.c
-@@ -434,7 +434,7 @@ static int runScript(struct logInfo *log, char *logfn, char *script)
- exit(1);
- }
- }
-- execl("/bin/sh", "sh", "-c", script, "logrotate_script", logfn, NULL);
-+ execl("/bin/sh", "sh", "-c", script, "logrotate_script", logfn, (char *) NULL);
- exit(1);
- }
-
-@@ -816,7 +816,7 @@ static int mailLog(struct logInfo *log, char *logFile, const char *mailComm,
- exit(1);
- }
-
-- execlp(uncompressCommand, uncompressCommand, NULL);
-+ execlp(uncompressCommand, uncompressCommand, (char *) NULL);
- exit(1);
- }
-
Modified: branches/1.0/package/logrotate/logrotate.mk
===================================================================
--- branches/1.0/package/logrotate/logrotate.mk 2017-07-01 22:53:59 UTC (rev 8422)
+++ branches/1.0/package/logrotate/logrotate.mk 2017-07-03 15:42:56 UTC (rev 8423)
@@ -3,7 +3,7 @@
# logrotate
#
#############################################################
-LOGROTATE_VERSION = 3.12.1
+LOGROTATE_VERSION = 3.12.3
LOGROTATE_SOURCE = logrotate-$(LOGROTATE_VERSION).tar.gz
LOGROTATE_SITE = https://github.com/logrotate/logrotate/releases/download/$(LOGROTATE_VERSION)
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-07-01 22:54:00
|
Revision: 8422
http://sourceforge.net/p/astlinux/code/8422
Author: abelbeck
Date: 2017-07-01 22:53:59 +0000 (Sat, 01 Jul 2017)
Log Message:
-----------
update ChangeLog
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-07-01 20:01:58 UTC (rev 8421)
+++ branches/1.0/docs/ChangeLog.txt 2017-07-01 22:53:59 UTC (rev 8422)
@@ -64,6 +64,10 @@
-- jansson, version bump to 2.10 (Asterisk 13)
+-- acme-client, new command to generate Let's Encrypt certificates using the ACME protocol.
+ The acme-client command is a front-end to the core acme.sh script, version 2.7.2.
+ More info: http://doc.astlinux-project.org/userdoc:tt_acme_certificates
+
-- ca-certificates, update trusted root certificates 2017-06-07
** Networking
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-07-01 20:02:01
|
Revision: 8421
http://sourceforge.net/p/astlinux/code/8421
Author: abelbeck
Date: 2017-07-01 20:01:58 +0000 (Sat, 01 Jul 2017)
Log Message:
-----------
acme, enable the acme package for default builds
Modified Paths:
--------------
branches/1.0/astlinux-ast11.config
branches/1.0/astlinux-ast13.config
branches/1.0/package/acme/Config.in
branches/1.0/project/astlinux/target_skeleton/stat/etc/rc.conf
branches/1.0/x86_64-configs/astlinux-ast11.config
branches/1.0/x86_64-configs/astlinux-ast13.config
Modified: branches/1.0/astlinux-ast11.config
===================================================================
--- branches/1.0/astlinux-ast11.config 2017-07-01 13:31:24 UTC (rev 8420)
+++ branches/1.0/astlinux-ast11.config 2017-07-01 20:01:58 UTC (rev 8421)
@@ -517,7 +517,7 @@
#
# Crypto
#
-# BR2_PACKAGE_ACME is not set
+BR2_PACKAGE_ACME=y
# BR2_PACKAGE_BEECRYPT is not set
BR2_PACKAGE_CA_CERTIFICATES=y
# BR2_PACKAGE_GNUTLS is not set
Modified: branches/1.0/astlinux-ast13.config
===================================================================
--- branches/1.0/astlinux-ast13.config 2017-07-01 13:31:24 UTC (rev 8420)
+++ branches/1.0/astlinux-ast13.config 2017-07-01 20:01:58 UTC (rev 8421)
@@ -517,7 +517,7 @@
#
# Crypto
#
-# BR2_PACKAGE_ACME is not set
+BR2_PACKAGE_ACME=y
# BR2_PACKAGE_BEECRYPT is not set
BR2_PACKAGE_CA_CERTIFICATES=y
# BR2_PACKAGE_GNUTLS is not set
Modified: branches/1.0/package/acme/Config.in
===================================================================
--- branches/1.0/package/acme/Config.in 2017-07-01 13:31:24 UTC (rev 8420)
+++ branches/1.0/package/acme/Config.in 2017-07-01 20:01:58 UTC (rev 8421)
@@ -3,5 +3,6 @@
depends on BR2_PACKAGE_OPENSSL
help
An ACME (Automated Certificate Management Environment) protocol client
+ Managed using the "acme-client" command.
https://github.com/Neilpang/acme.sh
Modified: branches/1.0/project/astlinux/target_skeleton/stat/etc/rc.conf
===================================================================
--- branches/1.0/project/astlinux/target_skeleton/stat/etc/rc.conf 2017-07-01 13:31:24 UTC (rev 8420)
+++ branches/1.0/project/astlinux/target_skeleton/stat/etc/rc.conf 2017-07-01 20:01:58 UTC (rev 8421)
@@ -1057,6 +1057,15 @@
possible abuse or criminal activity, system personnel may provide the
results of such monitoring to appropriate officials."
+## Automatic Certificate Management Environment (ACME)
+## For use with "Let's Encrypt" using the "acme-client" command.
+## Note: Only DNS challenge validation is supported within AstLinux.
+##
+## Deploy service types: lighttpd, asterisk and prosody
+#ACME_SERVICE="lighttpd" # space separated list of deploy service types
+## Registration email address, used for expiry notifications (optional)
+#ACME_ACCOUNT_EMAIL="ac...@my..."
+
## International E.164 dialing prefixes. Currently used by dialproxy.php
## Define 4 ~ (tilde) separated arguments (all optional)
## Arg1: InternationalPrefix
Modified: branches/1.0/x86_64-configs/astlinux-ast11.config
===================================================================
--- branches/1.0/x86_64-configs/astlinux-ast11.config 2017-07-01 13:31:24 UTC (rev 8420)
+++ branches/1.0/x86_64-configs/astlinux-ast11.config 2017-07-01 20:01:58 UTC (rev 8421)
@@ -498,7 +498,7 @@
#
# Crypto
#
-# BR2_PACKAGE_ACME is not set
+BR2_PACKAGE_ACME=y
# BR2_PACKAGE_BEECRYPT is not set
BR2_PACKAGE_CA_CERTIFICATES=y
# BR2_PACKAGE_GNUTLS is not set
Modified: branches/1.0/x86_64-configs/astlinux-ast13.config
===================================================================
--- branches/1.0/x86_64-configs/astlinux-ast13.config 2017-07-01 13:31:24 UTC (rev 8420)
+++ branches/1.0/x86_64-configs/astlinux-ast13.config 2017-07-01 20:01:58 UTC (rev 8421)
@@ -498,7 +498,7 @@
#
# Crypto
#
-# BR2_PACKAGE_ACME is not set
+BR2_PACKAGE_ACME=y
# BR2_PACKAGE_BEECRYPT is not set
BR2_PACKAGE_CA_CERTIFICATES=y
# BR2_PACKAGE_GNUTLS is not set
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-07-01 13:31:25
|
Revision: 8420
http://sourceforge.net/p/astlinux/code/8420
Author: abelbeck
Date: 2017-07-01 13:31:24 +0000 (Sat, 01 Jul 2017)
Log Message:
-----------
acme, acme-client wrapper, limit '--issue' use to requiring the '--dns' option, the only general solution for AstLinux
Modified Paths:
--------------
branches/1.0/package/acme/acme-client.sh
Modified: branches/1.0/package/acme/acme-client.sh
===================================================================
--- branches/1.0/package/acme/acme-client.sh 2017-06-30 17:40:12 UTC (rev 8419)
+++ branches/1.0/package/acme/acme-client.sh 2017-07-01 13:31:24 UTC (rev 8420)
@@ -78,10 +78,18 @@
echo "acme-client: The $1 option has been disabled."
}
+issue_without_dns()
+{
+ echo "acme-client: The '--issue' option also requires the '--dns' option."
+}
+
special_arg_handler()
{
- local arg skip IFS
+ local arg skip issue dns IFS
+ issue=0
+ dns=0
+
IFS='~' # expand command-line args using the unique 'tilde' character
for arg in $*; do
skip=0
@@ -98,6 +106,10 @@
no_op_arg "$arg" ; skip=1 ;;
--auto-upgrade)
no_op_arg "$arg" ; skip=1 ;;
+ --issue)
+ issue=1 ;;
+ --dns)
+ dns=1 ;;
esac
if [ $skip -eq 1 ]; then
return 0
@@ -104,6 +116,11 @@
fi
done
+ if [ $issue -eq 1 -a $dns -ne 1 ]; then
+ issue_without_dns
+ return 0
+ fi
+
return 1
}
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-30 17:40:15
|
Revision: 8419
http://sourceforge.net/p/astlinux/code/8419
Author: abelbeck
Date: 2017-06-30 17:40:12 +0000 (Fri, 30 Jun 2017)
Log Message:
-----------
acme, version bump to 2.7.2, add David Kerr's 'ssh.sh' deploy script
Modified Paths:
--------------
branches/1.0/package/acme/acme.mk
Added Paths:
-----------
branches/1.0/package/acme/deploy/
branches/1.0/package/acme/deploy/astlinux.sh
branches/1.0/package/acme/deploy/ssh.sh
Removed Paths:
-------------
branches/1.0/package/acme/astlinux.sh
Modified: branches/1.0/package/acme/acme.mk
===================================================================
--- branches/1.0/package/acme/acme.mk 2017-06-28 14:01:02 UTC (rev 8418)
+++ branches/1.0/package/acme/acme.mk 2017-06-30 17:40:12 UTC (rev 8419)
@@ -4,27 +4,28 @@
#
################################################################################
-ACME_VERSION = 2.6.5
+ACME_VERSION = 2.7.2
ACME_SOURCE = acme.sh-$(ACME_VERSION).tar.gz
ACME_SITE = http://files.astlinux-project.org
-ACME_REMOVE_TARGET_DNSAPI = dns_myapi.sh $(if $(BR2_PACKAGE_BIND),,dns_nsupdate.sh) README.md
+ACME_REMOVE_TARGET_DNSAPI = dns_myapi.sh dns_lexicon.sh $(if $(BR2_PACKAGE_BIND),,dns_nsupdate.sh) README.md
##
-## curl -L -o dl/acme.sh-2.6.5-2017-01-13.tar.gz https://github.com/Neilpang/acme.sh/archive/master.tar.gz
-## ./scripts/upload-dl-pair dl/acme.sh-2.6.5-2017-01-13.tar.gz
+## curl -L -o dl/acme.sh-2.7.2.tar.gz https://github.com/Neilpang/acme.sh/archive/2.7.2.tar.gz
+## ./scripts/upload-dl-pair dl/acme.sh-2.7.2.tar.gz
##
define ACME_INSTALL_TARGET_CMDS
+ $(INSTALL) -D -m 0644 package/acme/deploy/astlinux.sh $(TARGET_DIR)/stat/etc/acme/deploy/astlinux.sh
+ $(INSTALL) -D -m 0644 package/acme/deploy/ssh.sh $(TARGET_DIR)/stat/etc/acme/deploy/ssh.sh
$(INSTALL) -D -m 0755 package/acme/acme-client.sh $(TARGET_DIR)/usr/sbin/acme-client
- $(INSTALL) -D -m 0755 package/acme/astlinux.sh $(TARGET_DIR)/stat/etc/acme/deploy/astlinux.sh
$(INSTALL) -D -m 0755 $(@D)/acme.sh $(TARGET_DIR)/stat/etc/acme/acme.sh
cp -a $(@D)/dnsapi $(TARGET_DIR)/stat/etc/acme/
ln -s /mnt/kd/acme $(TARGET_DIR)/etc/acme
# Remove non-required dnsapi files
rm -f $(addprefix $(TARGET_DIR)/stat/etc/acme/dnsapi/, $(ACME_REMOVE_TARGET_DNSAPI))
- # Make sure the dnsapi scripts are executable
- find $(TARGET_DIR)/stat/etc/acme/dnsapi/ -name '*.sh' -print0 | xargs -0 chmod 755
+ # Make the dnsapi scripts non-executable, they are sourced by acme.sh
+ find $(TARGET_DIR)/stat/etc/acme/dnsapi/ -name '*.sh' -print0 | xargs -0 chmod 644
endef
define ACME_UNINSTALL_TARGET_CMDS
Deleted: branches/1.0/package/acme/astlinux.sh
===================================================================
--- branches/1.0/package/acme/astlinux.sh 2017-06-28 14:01:02 UTC (rev 8418)
+++ branches/1.0/package/acme/astlinux.sh 2017-06-30 17:40:12 UTC (rev 8419)
@@ -1,93 +0,0 @@
-#!/usr/bin/env sh
-
-# acme.sh deploy script for AstLinux
-# This file name is "astlinux.sh"
-# So, here must be a method astlinux_deploy()
-# Which will be called by acme.sh to deploy the cert
-# returns 0 means success, otherwise error.
-
-. /etc/rc.conf
-
-#service_type
-astlinux_is_acme_service()
-{
- local service IFS
-
- unset IFS
- for service in $ACME_SERVICE; do
- if [ "$service" = "$1" ]; then
- return 0
- fi
- done
-
- return 1
-}
-
-######## Public functions #####################
-
-#domain keyfile certfile cafile fullchain
-astlinux_deploy() {
- _cdomain="$1"
- _ckey="$2"
- _ccert="$3"
- _cca="$4"
- _cfullchain="$5"
-
- _debug _cdomain "$_cdomain"
- _debug _ckey "$_ckey"
- _debug _ccert "$_ccert"
- _debug _cca "$_cca"
- _debug _cfullchain "$_cfullchain"
-
- if astlinux_is_acme_service lighttpd; then
- if [ -z "$HTTPSCERT" ]; then
- logger -s -t acme-client "Failed to deploy ACME certificates HTTPS, invalid HTTPSCERT path"
- else
- service lighttpd stop
- cat "$_ckey" "$_ccert" > "$HTTPSCERT"
- chmod 600 "$HTTPSCERT"
- if [ -n "$HTTPSCHAIN" ]; then
- if [ -f "$_cfullchain" ]; then
- cat "$_cfullchain" > "$HTTPSCHAIN"
- else
- rm -f "$HTTPSCHAIN"
- fi
- fi
- sleep 1
- service lighttpd init
- logger -s -t acme-client "New ACME certificates deployed for HTTPS and Lighttpd restarted"
- fi
- fi
-
- if astlinux_is_acme_service asterisk; then
- mkdir -p /mnt/kd/ssl/sip-tls/keys
- if [ -f "$_cfullchain" ]; then
- cat "$_cfullchain" > /mnt/kd/ssl/sip-tls/keys/server.crt
- else
- cat "$_ccert" > /mnt/kd/ssl/sip-tls/keys/server.crt
- fi
- cat "$_ckey" > /mnt/kd/ssl/sip-tls/keys/server.key
- chmod 600 /mnt/kd/ssl/sip-tls/keys/server.key
- asterisk -rx "core restart when convenient" >/dev/null 2>&1 &
- logger -s -t acme-client "New ACME certificates deployed for SIP-TLS and Asterisk restart when convenient requested"
- fi
-
- if astlinux_is_acme_service prosody; then
- service prosody stop
- mkdir -p /mnt/kd/prosody/certs
- if [ -f "$_cfullchain" ]; then
- cat "$_cfullchain" > /mnt/kd/prosody/certs/server.crt
- else
- cat "$_ccert" > /mnt/kd/prosody/certs/server.crt
- fi
- cat "$_ckey" > /mnt/kd/prosody/certs/server.key
- chmod 600 /mnt/kd/prosody/certs/server.key
- chown prosody:prosody /mnt/kd/prosody/certs/server.crt
- chown prosody:prosody /mnt/kd/prosody/certs/server.key
- sleep 1
- service prosody init
- logger -s -t acme-client "New ACME certificates deployed for XMPP and Prosody restarted"
- fi
-
- return 0
-}
Added: branches/1.0/package/acme/deploy/astlinux.sh
===================================================================
--- branches/1.0/package/acme/deploy/astlinux.sh (rev 0)
+++ branches/1.0/package/acme/deploy/astlinux.sh 2017-06-30 17:40:12 UTC (rev 8419)
@@ -0,0 +1,93 @@
+#!/usr/bin/env sh
+
+# acme.sh deploy script for AstLinux
+# This file name is "astlinux.sh"
+# So, here must be a method astlinux_deploy()
+# Which will be called by acme.sh to deploy the cert
+# returns 0 means success, otherwise error.
+
+. /etc/rc.conf
+
+#service_type
+astlinux_is_acme_service()
+{
+ local service IFS
+
+ unset IFS
+ for service in $ACME_SERVICE; do
+ if [ "$service" = "$1" ]; then
+ return 0
+ fi
+ done
+
+ return 1
+}
+
+######## Public functions #####################
+
+#domain keyfile certfile cafile fullchain
+astlinux_deploy() {
+ _cdomain="$1"
+ _ckey="$2"
+ _ccert="$3"
+ _cca="$4"
+ _cfullchain="$5"
+
+ _debug _cdomain "$_cdomain"
+ _debug _ckey "$_ckey"
+ _debug _ccert "$_ccert"
+ _debug _cca "$_cca"
+ _debug _cfullchain "$_cfullchain"
+
+ if astlinux_is_acme_service lighttpd; then
+ if [ -z "$HTTPSCERT" ]; then
+ logger -s -t acme-client "Failed to deploy ACME certificates HTTPS, invalid HTTPSCERT path"
+ else
+ service lighttpd stop
+ cat "$_ckey" "$_ccert" > "$HTTPSCERT"
+ chmod 600 "$HTTPSCERT"
+ if [ -n "$HTTPSCHAIN" ]; then
+ if [ -f "$_cfullchain" ]; then
+ cat "$_cfullchain" > "$HTTPSCHAIN"
+ else
+ rm -f "$HTTPSCHAIN"
+ fi
+ fi
+ sleep 1
+ service lighttpd init
+ logger -s -t acme-client "New ACME certificates deployed for HTTPS and Lighttpd restarted"
+ fi
+ fi
+
+ if astlinux_is_acme_service asterisk; then
+ mkdir -p /mnt/kd/ssl/sip-tls/keys
+ if [ -f "$_cfullchain" ]; then
+ cat "$_cfullchain" > /mnt/kd/ssl/sip-tls/keys/server.crt
+ else
+ cat "$_ccert" > /mnt/kd/ssl/sip-tls/keys/server.crt
+ fi
+ cat "$_ckey" > /mnt/kd/ssl/sip-tls/keys/server.key
+ chmod 600 /mnt/kd/ssl/sip-tls/keys/server.key
+ asterisk -rx "core restart when convenient" >/dev/null 2>&1 &
+ logger -s -t acme-client "New ACME certificates deployed for SIP-TLS and Asterisk restart when convenient requested"
+ fi
+
+ if astlinux_is_acme_service prosody; then
+ service prosody stop
+ mkdir -p /mnt/kd/prosody/certs
+ if [ -f "$_cfullchain" ]; then
+ cat "$_cfullchain" > /mnt/kd/prosody/certs/server.crt
+ else
+ cat "$_ccert" > /mnt/kd/prosody/certs/server.crt
+ fi
+ cat "$_ckey" > /mnt/kd/prosody/certs/server.key
+ chmod 600 /mnt/kd/prosody/certs/server.key
+ chown prosody:prosody /mnt/kd/prosody/certs/server.crt
+ chown prosody:prosody /mnt/kd/prosody/certs/server.key
+ sleep 1
+ service prosody init
+ logger -s -t acme-client "New ACME certificates deployed for XMPP and Prosody restarted"
+ fi
+
+ return 0
+}
Added: branches/1.0/package/acme/deploy/ssh.sh
===================================================================
--- branches/1.0/package/acme/deploy/ssh.sh (rev 0)
+++ branches/1.0/package/acme/deploy/ssh.sh 2017-06-30 17:40:12 UTC (rev 8419)
@@ -0,0 +1,205 @@
+#!/usr/bin/env sh
+
+# Script to deploy certificates to remote server by SSH
+# Note that SSH must be able to login to remote host without a password...
+# SSH Keys must have been exchanged with the remote host. Validate and
+# test that you can login to USER@SERVER from the host running acme.sh before
+# using this script.
+#
+# The following variables exported from environment will be used.
+# If not set then values previously saved in domain.conf file are used.
+#
+# Only a username is required. All others are optional.
+#
+# The following examples are for QNAP NAS running QTS 4.2
+# export DEPLOY_SSH_CMD="" # defaults to ssh
+# export DEPLOY_SSH_USER="admin" # required
+# export DEPLOY_SSH_SERVER="qnap" # defaults to domain name
+# export DEPLOY_SSH_KEYFILE="/etc/stunnel/stunnel.pem"
+# export DEPLOY_SSH_CERTFILE="/etc/stunnel/stunnel.pem"
+# export DEPLOY_SSH_CAFILE="/etc/stunnel/uca.pem"
+# export DEPLOY_SSH_FULLCHAIN=""
+# export DEPLOY_SSH_REMOTE_CMD="/etc/init.d/stunnel.sh restart"
+# export DEPLOY_SSH_BACKUP="" # yes or no, default to yes
+#
+######## Public functions #####################
+
+#domain keyfile certfile cafile fullchain
+ssh_deploy() {
+ _cdomain="$1"
+ _ckey="$2"
+ _ccert="$3"
+ _cca="$4"
+ _cfullchain="$5"
+ _cmdstr=""
+ _homedir='~'
+ _backupprefix="$_homedir/.acme_ssh_deploy/$_cdomain-backup"
+ _backupdir="$_backupprefix-$(_utc_date | tr ' ' '-')"
+
+ if [ -f "$DOMAIN_CONF" ]; then
+ # shellcheck disable=SC1090
+ . "$DOMAIN_CONF"
+ fi
+
+ _debug _cdomain "$_cdomain"
+ _debug _ckey "$_ckey"
+ _debug _ccert "$_ccert"
+ _debug _cca "$_cca"
+ _debug _cfullchain "$_cfullchain"
+
+ # USER is required to login by SSH to remote host.
+ if [ -z "$DEPLOY_SSH_USER" ]; then
+ if [ -z "$Le_Deploy_ssh_user" ]; then
+ _err "DEPLOY_SSH_USER not defined."
+ return 1
+ fi
+ else
+ Le_Deploy_ssh_user="$DEPLOY_SSH_USER"
+ _savedomainconf Le_Deploy_ssh_user "$Le_Deploy_ssh_user"
+ fi
+
+ # SERVER is optional. If not provided then use _cdomain
+ if [ -n "$DEPLOY_SSH_SERVER" ]; then
+ Le_Deploy_ssh_server="$DEPLOY_SSH_SERVER"
+ _savedomainconf Le_Deploy_ssh_server "$Le_Deploy_ssh_server"
+ elif [ -z "$Le_Deploy_ssh_server" ]; then
+ Le_Deploy_ssh_server="$_cdomain"
+ fi
+
+ # CMD is optional. If not provided then use ssh
+ if [ -n "$DEPLOY_SSH_CMD" ]; then
+ Le_Deploy_ssh_cmd="$DEPLOY_SSH_CMD"
+ _savedomainconf Le_Deploy_ssh_cmd "$Le_Deploy_ssh_cmd"
+ elif [ -z "$Le_Deploy_ssh_cmd" ]; then
+ Le_Deploy_ssh_cmd="ssh"
+ fi
+
+ # BACKUP is optional. If not provided then default to yes
+ if [ "$DEPLOY_SSH_BACKUP" = "no" ]; then
+ Le_Deploy_ssh_backup="no"
+ elif [ -z "$Le_Deploy_ssh_backup" ]; then
+ Le_Deploy_ssh_backup="yes"
+ fi
+ _savedomainconf Le_Deploy_ssh_backup "$Le_Deploy_ssh_backup"
+
+ _info "Deploy certificates to remote server $Le_Deploy_ssh_user@$Le_Deploy_ssh_server"
+
+ # KEYFILE is optional.
+ # If provided then private key will be copied to provided filename.
+ if [ -n "$DEPLOY_SSH_KEYFILE" ]; then
+ Le_Deploy_ssh_keyfile="$DEPLOY_SSH_KEYFILE"
+ _savedomainconf Le_Deploy_ssh_keyfile "$Le_Deploy_ssh_keyfile"
+ fi
+ if [ -n "$Le_Deploy_ssh_keyfile" ]; then
+ if [ "$Le_Deploy_ssh_backup" = "yes" ]; then
+ # backup file we are about to overwrite.
+ _cmdstr="$_cmdstr cp $Le_Deploy_ssh_keyfile $_backupdir >/dev/null;"
+ fi
+ # copy new certificate into file.
+ _cmdstr="$_cmdstr echo \"$(cat "$_ckey")\" > $Le_Deploy_ssh_keyfile;"
+ _info "will copy private key to remote file $Le_Deploy_ssh_keyfile"
+ fi
+
+ # CERTFILE is optional.
+ # If provided then private key will be copied or appended to provided filename.
+ if [ -n "$DEPLOY_SSH_CERTFILE" ]; then
+ Le_Deploy_ssh_certfile="$DEPLOY_SSH_CERTFILE"
+ _savedomainconf Le_Deploy_ssh_certfile "$Le_Deploy_ssh_certfile"
+ fi
+ if [ -n "$Le_Deploy_ssh_certfile" ]; then
+ _pipe=">"
+ if [ "$Le_Deploy_ssh_certfile" = "$Le_Deploy_ssh_keyfile" ]; then
+ # if filename is same as previous file then append.
+ _pipe=">>"
+ elif [ "$Le_Deploy_ssh_backup" = "yes" ]; then
+ # backup file we are about to overwrite.
+ _cmdstr="$_cmdstr cp $Le_Deploy_ssh_certfile $_backupdir >/dev/null;"
+ fi
+ # copy new certificate into file.
+ _cmdstr="$_cmdstr echo \"$(cat "$_ccert")\" $_pipe $Le_Deploy_ssh_certfile;"
+ _info "will copy certificate to remote file $Le_Deploy_ssh_certfile"
+ fi
+
+ # CAFILE is optional.
+ # If provided then CA intermediate certificate will be copied or appended to provided filename.
+ if [ -n "$DEPLOY_SSH_CAFILE" ]; then
+ Le_Deploy_ssh_cafile="$DEPLOY_SSH_CAFILE"
+ _savedomainconf Le_Deploy_ssh_cafile "$Le_Deploy_ssh_cafile"
+ fi
+ if [ -n "$Le_Deploy_ssh_cafile" ]; then
+ _pipe=">"
+ if [ "$Le_Deploy_ssh_cafile" = "$Le_Deploy_ssh_keyfile" ] \
+ || [ "$Le_Deploy_ssh_cafile" = "$Le_Deploy_ssh_certfile" ]; then
+ # if filename is same as previous file then append.
+ _pipe=">>"
+ elif [ "$Le_Deploy_ssh_backup" = "yes" ]; then
+ # backup file we are about to overwrite.
+ _cmdstr="$_cmdstr cp $Le_Deploy_ssh_cafile $_backupdir >/dev/null;"
+ fi
+ # copy new certificate into file.
+ _cmdstr="$_cmdstr echo \"$(cat "$_cca")\" $_pipe $Le_Deploy_ssh_cafile;"
+ _info "will copy CA file to remote file $Le_Deploy_ssh_cafile"
+ fi
+
+ # FULLCHAIN is optional.
+ # If provided then fullchain certificate will be copied or appended to provided filename.
+ if [ -n "$DEPLOY_SSH_FULLCHAIN" ]; then
+ Le_Deploy_ssh_fullchain="$DEPLOY_SSH_FULLCHAIN"
+ _savedomainconf Le_Deploy_ssh_fullchain "$Le_Deploy_ssh_fullchain"
+ fi
+ if [ -n "$Le_Deploy_ssh_fullchain" ]; then
+ _pipe=">"
+ if [ "$Le_Deploy_ssh_fullchain" = "$Le_Deploy_ssh_keyfile" ] \
+ || [ "$Le_Deploy_ssh_fullchain" = "$Le_Deploy_ssh_certfile" ] \
+ || [ "$Le_Deploy_ssh_fullchain" = "$Le_Deploy_ssh_cafile" ]; then
+ # if filename is same as previous file then append.
+ _pipe=">>"
+ elif [ "$Le_Deploy_ssh_backup" = "yes" ]; then
+ # backup file we are about to overwrite.
+ _cmdstr="$_cmdstr cp $Le_Deploy_ssh_fullchain $_backupdir >/dev/null;"
+ fi
+ # copy new certificate into file.
+ _cmdstr="$_cmdstr echo \"$(cat "$_cfullchain")\" $_pipe $Le_Deploy_ssh_fullchain;"
+ _info "will copy fullchain to remote file $Le_Deploy_ssh_fullchain"
+ fi
+
+ # REMOTE_CMD is optional.
+ # If provided then this command will be executed on remote host.
+ if [ -n "$DEPLOY_SSH_REMOTE_CMD" ]; then
+ Le_Deploy_ssh_remote_cmd="$DEPLOY_SSH_REMOTE_CMD"
+ _savedomainconf Le_Deploy_ssh_remote_cmd "$Le_Deploy_ssh_remote_cmd"
+ fi
+ if [ -n "$Le_Deploy_ssh_remote_cmd" ]; then
+ _cmdstr="$_cmdstr $Le_Deploy_ssh_remote_cmd;"
+ _info "Will execute remote command $Le_Deploy_ssh_remote_cmd"
+ fi
+
+ if [ -z "$_cmdstr" ]; then
+ _err "No remote commands to excute. Failed to deploy certificates to remote server"
+ return 1
+ elif [ "$Le_Deploy_ssh_backup" = "yes" ]; then
+ # run cleanup on the backup directory, erase all older
+ # than 180 days (15552000 seconds).
+ _cmdstr="{ now=\"\$(date -u +%s)\"; for fn in $_backupprefix*; \
+do if [ -d \"\$fn\" ] && [ \"\$(expr \$now - \$(date -ur \$fn +%s) )\" -ge \"15552000\" ]; \
+then rm -rf \"\$fn\"; echo \"Backup \$fn deleted as older than 180 days\"; fi; done; }; $_cmdstr"
+ # Alternate version of above... _cmdstr="find $_backupprefix* -type d -mtime +180 2>/dev/null | xargs rm -rf; $_cmdstr"
+ # Create our backup directory for overwritten cert files.
+ _cmdstr="mkdir -p $_backupdir; $_cmdstr"
+ _info "Backup of old certificate files will be placed in remote directory $_backupdir"
+ _info "Backup directories erased after 180 days."
+ fi
+
+ _debug "Remote commands to execute: $_cmdstr"
+ _info "Submitting sequence of commands to remote server by ssh"
+ # quotations in bash cmd below intended. Squash travis spellcheck error
+ # shellcheck disable=SC2029
+ $Le_Deploy_ssh_cmd -T "$Le_Deploy_ssh_user@$Le_Deploy_ssh_server" sh -c "'$_cmdstr'"
+ _ret="$?"
+
+ if [ "$_ret" != "0" ]; then
+ _err "Error code $_ret returned from $Le_Deploy_ssh_cmd"
+ fi
+
+ return $_ret
+}
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-28 14:01:03
|
Revision: 8418
http://sourceforge.net/p/astlinux/code/8418
Author: abelbeck
Date: 2017-06-28 14:01:02 +0000 (Wed, 28 Jun 2017)
Log Message:
-----------
mtr, disable SCTP runtime support, keeps various 'sctp' kernel modules from being loaded whenever mtr is used
Added Paths:
-----------
branches/1.0/package/mtr/mtr-0010-disable-sctp-runtime-support.patch
Added: branches/1.0/package/mtr/mtr-0010-disable-sctp-runtime-support.patch
===================================================================
--- branches/1.0/package/mtr/mtr-0010-disable-sctp-runtime-support.patch (rev 0)
+++ branches/1.0/package/mtr/mtr-0010-disable-sctp-runtime-support.patch 2017-06-28 14:01:02 UTC (rev 8418)
@@ -0,0 +1,11 @@
+--- mtr-0.92/packet/probe_unix.c.orig 2017-06-28 08:01:59.513999000 -0500
++++ mtr-0.92/packet/probe_unix.c 2017-06-28 08:24:20.325732684 -0500
+@@ -149,7 +149,7 @@
+ void check_sctp_support(
+ struct net_state_t *net_state)
+ {
+-#ifdef IPPROTO_SCTP
++#if 0 /* disable SCTP runtime support */
+ int sctp_socket;
+
+ sctp_socket = socket(AF_INET, SOCK_STREAM, IPPROTO_SCTP);
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-27 17:38:38
|
Revision: 8417
http://sourceforge.net/p/astlinux/code/8417
Author: abelbeck
Date: 2017-06-27 17:38:35 +0000 (Tue, 27 Jun 2017)
Log Message:
-----------
update ChangeLog
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-06-27 17:35:27 UTC (rev 8416)
+++ branches/1.0/docs/ChangeLog.txt 2017-06-27 17:38:35 UTC (rev 8417)
@@ -80,8 +80,10 @@
-- openldap, version bump to 2.4.45
--- unbound (host), version bump to 1.6.3
+-- unbound (host), version bump to 1.6.4
+-- mtr, version bump to 0.92
+
-- whois, version bump to 5.2.16
-- network, DHCPv6 Prefix Delegation, previously any Network tab -> 'IPv6 Autoconfig: [enabled]' received
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-27 17:35:29
|
Revision: 8416
http://sourceforge.net/p/astlinux/code/8416
Author: abelbeck
Date: 2017-06-27 17:35:27 +0000 (Tue, 27 Jun 2017)
Log Message:
-----------
mtr, version bump to 0.92, now requires a mtr-packet helper and uses libcap, fix displayed version number
Modified Paths:
--------------
branches/1.0/package/bash/rbash/cmd_symlinks.txt
branches/1.0/package/mtr/Config.in
branches/1.0/package/mtr/mtr.mk
Modified: branches/1.0/package/bash/rbash/cmd_symlinks.txt
===================================================================
--- branches/1.0/package/bash/rbash/cmd_symlinks.txt 2017-06-27 13:44:43 UTC (rev 8415)
+++ branches/1.0/package/bash/rbash/cmd_symlinks.txt 2017-06-27 17:35:27 UTC (rev 8416)
@@ -28,3 +28,4 @@
usr/sbin/fping6
usr/sbin/iftop
usr/sbin/mtr
+usr/sbin/mtr-packet
Modified: branches/1.0/package/mtr/Config.in
===================================================================
--- branches/1.0/package/mtr/Config.in 2017-06-27 13:44:43 UTC (rev 8415)
+++ branches/1.0/package/mtr/Config.in 2017-06-27 17:35:27 UTC (rev 8416)
@@ -2,6 +2,7 @@
bool "mtr"
default n
select BR2_PACKAGE_NCURSES
+ select BR2_PACKAGE_LIBCAP
help
My TraceRoute
mtr combines the functionality of the 'traceroute' and 'ping'
Modified: branches/1.0/package/mtr/mtr.mk
===================================================================
--- branches/1.0/package/mtr/mtr.mk 2017-06-27 13:44:43 UTC (rev 8415)
+++ branches/1.0/package/mtr/mtr.mk 2017-06-27 17:35:27 UTC (rev 8416)
@@ -3,21 +3,25 @@
# mtr
#
#############################################################
-MTR_VERSION = 0.87
+MTR_VERSION = 0.92
MTR_SITE = ftp://ftp.bitwizard.nl/mtr
MTR_SOURCE = mtr-$(MTR_VERSION).tar.gz
-MTR_DEPENDENCIES = host-pkg-config ncurses
+MTR_DEPENDENCIES = host-pkg-config ncurses libcap
MTR_CONF_OPT = \
+ PACKAGE_VERSION="$(MTR_VERSION)" \
+ PACKAGE_STRING="mtr $(MTR_VERSION)" \
--without-gtk
define MTR_INSTALL_TARGET_CMDS
- $(INSTALL) -D -m 4711 $(@D)/mtr $(TARGET_DIR)/usr/sbin/
+ $(INSTALL) -D -m 0755 $(@D)/mtr $(TARGET_DIR)/usr/sbin/
+ $(INSTALL) -D -m 4711 $(@D)/mtr-packet $(TARGET_DIR)/usr/sbin/
endef
define MTR_UNINSTALL_TARGET_CMDS
rm -f $(TARGET_DIR)/usr/sbin/mtr
+ rm -f $(TARGET_DIR)/usr/sbin/mtr-packet
endef
$(eval $(call AUTOTARGETS,package,mtr))
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-27 13:44:44
|
Revision: 8415
http://sourceforge.net/p/astlinux/code/8415
Author: abelbeck
Date: 2017-06-27 13:44:43 +0000 (Tue, 27 Jun 2017)
Log Message:
-----------
unbound, version bump to 1.6.4
Modified Paths:
--------------
branches/1.0/package/unbound/unbound.mk
Modified: branches/1.0/package/unbound/unbound.mk
===================================================================
--- branches/1.0/package/unbound/unbound.mk 2017-06-23 22:06:02 UTC (rev 8414)
+++ branches/1.0/package/unbound/unbound.mk 2017-06-27 13:44:43 UTC (rev 8415)
@@ -4,7 +4,7 @@
#
#############################################################
-UNBOUND_VERSION = 1.6.3
+UNBOUND_VERSION = 1.6.4
UNBOUND_SITE = https://www.unbound.net/downloads
UNBOUND_SOURCE = unbound-$(UNBOUND_VERSION).tar.gz
UNBOUND_INSTALL_STAGING = YES
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-23 22:06:05
|
Revision: 8414
http://sourceforge.net/p/astlinux/code/8414
Author: abelbeck
Date: 2017-06-23 22:06:02 +0000 (Fri, 23 Jun 2017)
Log Message:
-----------
update ChangeLog (Thanks Michael)
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-06-22 14:13:01 UTC (rev 8413)
+++ branches/1.0/docs/ChangeLog.txt 2017-06-23 22:06:02 UTC (rev 8414)
@@ -36,7 +36,8 @@
-- genx86_64-vm board type, add support for virtio-scsi as a bootable disk driver, also added to RUNNIX.
-- genx86_64-vm board type, add support for vmw_pvscsi as a bootable disk driver, also added to RUNNIX.
- ESXi Config: SCSI Controllor 0 [ VMware Paravirtual ]
+ ESXi Config: SCSI Controller [ VMware Paravirtual ]
+ More info: http://doc.astlinux-project.org/userdoc:guest_vm_vmware_vsphere
-- linux, add kernel patch 'x86: HPET force enable for e6xx based systems', for Soekris net6501
and other e6xx based non-ACPI systems, HPET will now get enabled resulting in a usable clocksource.
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-22 14:13:03
|
Revision: 8413
http://sourceforge.net/p/astlinux/code/8413
Author: abelbeck
Date: 2017-06-22 14:13:01 +0000 (Thu, 22 Jun 2017)
Log Message:
-----------
update ChangeLog
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-06-22 14:09:34 UTC (rev 8412)
+++ branches/1.0/docs/ChangeLog.txt 2017-06-22 14:13:01 UTC (rev 8413)
@@ -61,6 +61,8 @@
-- strace, version bump to 4.17
+-- jansson, version bump to 2.10 (Asterisk 13)
+
-- ca-certificates, update trusted root certificates 2017-06-07
** Networking
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-22 14:09:36
|
Revision: 8412
http://sourceforge.net/p/astlinux/code/8412
Author: abelbeck
Date: 2017-06-22 14:09:34 +0000 (Thu, 22 Jun 2017)
Log Message:
-----------
asterisk, add Asterisk 13 patch fo fix 13.16.0 crash with missing ari.conf file
Ref: http://git.asterisk.org/gitweb/?p=asterisk/asterisk.git;a=commit;h=7901b9853e8f60e1d2dce44ce81dec6f7f866ccc
Added Paths:
-----------
branches/1.0/package/asterisk/asterisk-13-upstream-missing-ari-conf-crash.patch
Added: branches/1.0/package/asterisk/asterisk-13-upstream-missing-ari-conf-crash.patch
===================================================================
--- branches/1.0/package/asterisk/asterisk-13-upstream-missing-ari-conf-crash.patch (rev 0)
+++ branches/1.0/package/asterisk/asterisk-13-upstream-missing-ari-conf-crash.patch 2017-06-22 14:09:34 UTC (rev 8412)
@@ -0,0 +1,295 @@
+From: George Joseph <gj...@di...>
+Date: Tue, 13 Jun 2017 16:33:34 +0000 (-0600)
+Subject: res_ari: Add "module loaded" check to ari stubs
+X-Git-Url: http://git.asterisk.org/gitweb/?p=asterisk%2Fasterisk.git;a=commitdiff_plain;h=7901b9853e8f60e1d2dce44ce81dec6f7f866ccc
+
+res_ari: Add "module loaded" check to ari stubs
+
+The recent change to make the use of LOAD_DECLINE more consistent
+caused res_ari to unload itself before declining if the ari.conf
+file wasn't found. The ari stubs though still tried to use the
+configuration resulting in segfaults.
+
+This patch creates a new CHECK_ARI_MODULE_LOADED macro which tests
+to see if res_ari is actually loaded and causes the stubs to also
+decline if it isn't. The macro was then added to the mustache
+template's "load_module" function.
+
+ASTERISK-27026 #close
+Reported-by: Ronald Raikes
+
+Change-Id: I263d56efa628ee3c411bdcd16d49af6260c6c91d
+---
+
+diff --git a/include/asterisk/ari.h b/include/asterisk/ari.h
+index cad9b32..f83df04 100644
+--- a/include/asterisk/ari.h
++++ b/include/asterisk/ari.h
+@@ -266,4 +266,14 @@ void ast_ari_response_created(struct ast_ari_response *response,
+ */
+ void ast_ari_response_alloc_failed(struct ast_ari_response *response);
+
++/*! \brief Determines whether the res_ari module is loaded */
++#define CHECK_ARI_MODULE_LOADED() \
++ do { \
++ if (!ast_module_check("res_ari.so") \
++ || !ast_ari_oom_json()) { \
++ return AST_MODULE_LOAD_DECLINE; \
++ } \
++ } while(0)
++
++
+ #endif /* _ASTERISK_ARI_H */
+diff --git a/res/res_ari_applications.c b/res/res_ari_applications.c
+index cb12e84..290719d 100644
+--- a/res/res_ari_applications.c
++++ b/res/res_ari_applications.c
+@@ -502,6 +502,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&applications);
+ if (res) {
+diff --git a/res/res_ari_asterisk.c b/res/res_ari_asterisk.c
+index 1a574aa..73e4d0c 100644
+--- a/res/res_ari_asterisk.c
++++ b/res/res_ari_asterisk.c
+@@ -1223,6 +1223,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&asterisk);
+ if (res) {
+diff --git a/res/res_ari_bridges.c b/res/res_ari_bridges.c
+index 69d4d6e..b923330 100644
+--- a/res/res_ari_bridges.c
++++ b/res/res_ari_bridges.c
+@@ -1415,6 +1415,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&bridges);
+ if (res) {
+diff --git a/res/res_ari_channels.c b/res/res_ari_channels.c
+index f59f206..6217679 100644
+--- a/res/res_ari_channels.c
++++ b/res/res_ari_channels.c
+@@ -2479,6 +2479,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&channels);
+ if (res) {
+diff --git a/res/res_ari_device_states.c b/res/res_ari_device_states.c
+index a3711e6..fe1817d 100644
+--- a/res/res_ari_device_states.c
++++ b/res/res_ari_device_states.c
+@@ -333,6 +333,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&deviceStates);
+ if (res) {
+diff --git a/res/res_ari_endpoints.c b/res/res_ari_endpoints.c
+index 43d2558..a46b0dc 100644
+--- a/res/res_ari_endpoints.c
++++ b/res/res_ari_endpoints.c
+@@ -457,6 +457,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&endpoints);
+ if (res) {
+diff --git a/res/res_ari_events.c b/res/res_ari_events.c
+index fd208c5..b6a44d9 100644
+--- a/res/res_ari_events.c
++++ b/res/res_ari_events.c
+@@ -430,22 +430,29 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
+- struct ast_websocket_protocol *protocol;
+
+- events.ws_server = ast_websocket_server_create();
+- if (!events.ws_server) {
+- return AST_MODULE_LOAD_DECLINE;
+- }
++ CHECK_ARI_MODULE_LOADED();
+
+- protocol = ast_websocket_sub_protocol_alloc("ari");
+- if (!protocol) {
+- ao2_ref(events.ws_server, -1);
+- events.ws_server = NULL;
+- return AST_MODULE_LOAD_DECLINE;
++ /* This is scoped to not conflict with CHECK_ARI_MODULE_LOADED */
++ {
++ struct ast_websocket_protocol *protocol;
++
++ events.ws_server = ast_websocket_server_create();
++ if (!events.ws_server) {
++ return AST_MODULE_LOAD_DECLINE;
++ }
++
++ protocol = ast_websocket_sub_protocol_alloc("ari");
++ if (!protocol) {
++ ao2_ref(events.ws_server, -1);
++ events.ws_server = NULL;
++ return AST_MODULE_LOAD_DECLINE;
++ }
++ protocol->session_attempted = ast_ari_events_event_websocket_ws_attempted_cb;
++ protocol->session_established = ast_ari_events_event_websocket_ws_established_cb;
++ res |= ast_websocket_server_add_protocol2(events.ws_server, protocol);
+ }
+- protocol->session_attempted = ast_ari_events_event_websocket_ws_attempted_cb;
+- protocol->session_established = ast_ari_events_event_websocket_ws_established_cb;
+- res |= ast_websocket_server_add_protocol2(events.ws_server, protocol);
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&events);
+ if (res) {
+diff --git a/res/res_ari_mailboxes.c b/res/res_ari_mailboxes.c
+index f85541c..600ecfd 100644
+--- a/res/res_ari_mailboxes.c
++++ b/res/res_ari_mailboxes.c
+@@ -339,6 +339,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&mailboxes);
+ if (res) {
+diff --git a/res/res_ari_playbacks.c b/res/res_ari_playbacks.c
+index 25e211c..106463b 100644
+--- a/res/res_ari_playbacks.c
++++ b/res/res_ari_playbacks.c
+@@ -291,6 +291,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&playbacks);
+ if (res) {
+diff --git a/res/res_ari_recordings.c b/res/res_ari_recordings.c
+index 29720a8..c43148d 100644
+--- a/res/res_ari_recordings.c
++++ b/res/res_ari_recordings.c
+@@ -807,6 +807,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&recordings);
+ if (res) {
+diff --git a/res/res_ari_sounds.c b/res/res_ari_sounds.c
+index 6d09d2c..e58ecd1 100644
+--- a/res/res_ari_sounds.c
++++ b/res/res_ari_sounds.c
+@@ -221,6 +221,10 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&sounds);
+ if (res) {
+diff --git a/rest-api-templates/res_ari_resource.c.mustache b/rest-api-templates/res_ari_resource.c.mustache
+index 921b007..b4d8010 100644
+--- a/rest-api-templates/res_ari_resource.c.mustache
++++ b/rest-api-templates/res_ari_resource.c.mustache
+@@ -262,30 +262,37 @@ static int unload_module(void)
+ static int load_module(void)
+ {
+ int res = 0;
++
++ CHECK_ARI_MODULE_LOADED();
++
+ {{#apis}}
+ {{#operations}}
+ {{#has_websocket}}
+- struct ast_websocket_protocol *protocol;
++ /* This is scoped to not conflict with CHECK_ARI_MODULE_LOADED */
++ {
++ struct ast_websocket_protocol *protocol;
+
+- {{full_name}}.ws_server = ast_websocket_server_create();
+- if (!{{full_name}}.ws_server) {
+- return AST_MODULE_LOAD_DECLINE;
+- }
++ {{full_name}}.ws_server = ast_websocket_server_create();
++ if (!{{full_name}}.ws_server) {
++ return AST_MODULE_LOAD_DECLINE;
++ }
+
+- protocol = ast_websocket_sub_protocol_alloc("{{websocket_protocol}}");
+- if (!protocol) {
+- ao2_ref({{full_name}}.ws_server, -1);
+- {{full_name}}.ws_server = NULL;
+- return AST_MODULE_LOAD_DECLINE;
+- }
+- protocol->session_attempted = ast_ari_{{c_name}}_{{c_nickname}}_ws_attempted_cb;
+- protocol->session_established = ast_ari_{{c_name}}_{{c_nickname}}_ws_established_cb;
++ protocol = ast_websocket_sub_protocol_alloc("{{websocket_protocol}}");
++ if (!protocol) {
++ ao2_ref({{full_name}}.ws_server, -1);
++ {{full_name}}.ws_server = NULL;
++ return AST_MODULE_LOAD_DECLINE;
++ }
++ protocol->session_attempted = ast_ari_{{c_name}}_{{c_nickname}}_ws_attempted_cb;
++ protocol->session_established = ast_ari_{{c_name}}_{{c_nickname}}_ws_established_cb;
+ {{/has_websocket}}
+ {{#is_websocket}}
+- res |= ast_websocket_server_add_protocol2({{full_name}}.ws_server, protocol);
++ res |= ast_websocket_server_add_protocol2({{full_name}}.ws_server, protocol);
++ }
+ {{/is_websocket}}
+ {{/operations}}
+ {{/apis}}
++
+ stasis_app_ref();
+ res |= ast_ari_add_handler(&{{root_full_name}});
+ if (res) {
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-22 13:50:02
|
Revision: 8411
http://sourceforge.net/p/astlinux/code/8411
Author: abelbeck
Date: 2017-06-22 13:50:00 +0000 (Thu, 22 Jun 2017)
Log Message:
-----------
jansson, version bump to 2.10
Modified Paths:
--------------
branches/1.0/package/jansson/jansson.mk
Modified: branches/1.0/package/jansson/jansson.mk
===================================================================
--- branches/1.0/package/jansson/jansson.mk 2017-06-21 19:52:28 UTC (rev 8410)
+++ branches/1.0/package/jansson/jansson.mk 2017-06-22 13:50:00 UTC (rev 8411)
@@ -4,7 +4,7 @@
#
################################################################################
-JANSSON_VERSION = 2.9
+JANSSON_VERSION = 2.10
JANSSON_SITE = http://www.digip.org/jansson/releases
JANSSON_INSTALL_STAGING = YES
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-21 19:52:30
|
Revision: 8410
http://sourceforge.net/p/astlinux/code/8410
Author: abelbeck
Date: 2017-06-21 19:52:28 +0000 (Wed, 21 Jun 2017)
Log Message:
-----------
update ChangeLog
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-06-21 19:48:59 UTC (rev 8409)
+++ branches/1.0/docs/ChangeLog.txt 2017-06-21 19:52:28 UTC (rev 8410)
@@ -67,6 +67,8 @@
-- OpenSSL, version bump to 1.0.2l, security fixes: none
+-- OpenVPN, version bump to 2.4.3, security fixes: CVE-2017-7521, CVE-2017-7522
+
-- libcurl (curl) version bump to 7.54.1, security fixes: CVE-2017-9502
-- strongSwan, version bump to 5.5.3, security fixes: CVE-2017-9022, CVE-2017-9023
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-21 19:49:00
|
Revision: 8409
http://sourceforge.net/p/astlinux/code/8409
Author: abelbeck
Date: 2017-06-21 19:48:59 +0000 (Wed, 21 Jun 2017)
Log Message:
-----------
openvpn, version bump to 2.4.3, security fixes: CVE-2017-7521, CVE-2017-7522
Modified Paths:
--------------
branches/1.0/package/openvpn/openvpn.mk
Modified: branches/1.0/package/openvpn/openvpn.mk
===================================================================
--- branches/1.0/package/openvpn/openvpn.mk 2017-06-21 15:46:02 UTC (rev 8408)
+++ branches/1.0/package/openvpn/openvpn.mk 2017-06-21 19:48:59 UTC (rev 8409)
@@ -4,7 +4,7 @@
#
#############################################################
-OPENVPN_VERSION = 2.4.2
+OPENVPN_VERSION = 2.4.3
OPENVPN_SITE = http://swupdate.openvpn.net/community/releases
OPENVPN_DEPENDENCIES = host-pkg-config openssl
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-21 15:46:05
|
Revision: 8408
http://sourceforge.net/p/astlinux/code/8408
Author: abelbeck
Date: 2017-06-21 15:46:02 +0000 (Wed, 21 Jun 2017)
Log Message:
-----------
openvmtools, add a default /etc/vmware-tools/tools.conf with minimal logging and a network script for suspend-vm/resume-vm
Modified Paths:
--------------
branches/1.0/package/openvmtools/openvmtools.mk
Added Paths:
-----------
branches/1.0/package/openvmtools/vmware-tools/
branches/1.0/package/openvmtools/vmware-tools/scripts/
branches/1.0/package/openvmtools/vmware-tools/scripts/vmware/
branches/1.0/package/openvmtools/vmware-tools/scripts/vmware/network
branches/1.0/package/openvmtools/vmware-tools/tools.conf
Modified: branches/1.0/package/openvmtools/openvmtools.mk
===================================================================
--- branches/1.0/package/openvmtools/openvmtools.mk 2017-06-20 22:34:49 UTC (rev 8407)
+++ branches/1.0/package/openvmtools/openvmtools.mk 2017-06-21 15:46:02 UTC (rev 8408)
@@ -40,8 +40,9 @@
endif
define OPENVMTOOLS_POST_INSTALL
- rm -f $(TARGET_DIR)/etc/vmware-tools/scripts/vmware/network
rm -f $(TARGET_DIR)/lib/udev/rules.d/99-vmware-scsi-udev.rules
+ $(INSTALL) -m 0755 -D package/openvmtools/vmware-tools/scripts/vmware/network $(TARGET_DIR)/etc/vmware-tools/scripts/vmware/network
+ $(INSTALL) -m 0644 -D package/openvmtools/vmware-tools/tools.conf $(TARGET_DIR)/etc/vmware-tools/tools.conf
$(INSTALL) -m 0755 -D package/openvmtools/openvmtools.init $(TARGET_DIR)/etc/init.d/openvmtools
ln -sf ../../init.d/openvmtools $(TARGET_DIR)/etc/runlevels/default/S01openvmtools
ln -sf ../../init.d/openvmtools $(TARGET_DIR)/etc/runlevels/default/K94openvmtools
Added: branches/1.0/package/openvmtools/vmware-tools/scripts/vmware/network
===================================================================
--- branches/1.0/package/openvmtools/vmware-tools/scripts/vmware/network (rev 0)
+++ branches/1.0/package/openvmtools/vmware-tools/scripts/vmware/network 2017-06-21 15:46:02 UTC (rev 8408)
@@ -0,0 +1,75 @@
+#!/bin/sh
+##########################################################
+# Copyright (C) 2001-2016 VMware, Inc. All rights reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published
+# by the Free Software Foundation version 2.1 and no later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the Lesser GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+##########################################################
+
+
+#
+# network (Linux) - Modified for AstLinux
+#
+
+echo `date` ": Executing '$0'"
+echo
+
+#
+# ifplugd_action -- up|down
+#
+# Find any ifplugd processes, extract the interface and script
+#
+
+ifplugd_action()
+{
+ local action="$1" x interface_script interface script IFS
+
+ interface_script="$(ps | sed -n -r -e 's/^.*ifplugd[ ].* -i ([^ ]+).* -r ([^ ]+).*$/\1~\2/p')"
+
+ unset IFS
+ for x in $interface_script; do
+ interface="$(echo "$x" | cut -s -d'~' -f1)"
+ script="$(echo "$x" | cut -s -d'~' -f2)"
+ if [ -n "$interface" -a -n "$script" ]; then
+ if [ -x "$script" ]; then
+ $script $interface $action
+ fi
+ fi
+ done
+}
+
+#
+# main --
+#
+
+main() {
+ exitCode=0
+
+ case "$1" in
+ poweron-vm)
+ ;;
+ suspend-vm)
+ ifplugd_action down
+ ;;
+ resume-vm)
+ ifplugd_action up
+ ;;
+ *)
+ ;;
+ esac
+
+ return $exitCode
+}
+
+main "$@"
Property changes on: branches/1.0/package/openvmtools/vmware-tools/scripts/vmware/network
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: branches/1.0/package/openvmtools/vmware-tools/tools.conf
===================================================================
--- branches/1.0/package/openvmtools/vmware-tools/tools.conf (rev 0)
+++ branches/1.0/package/openvmtools/vmware-tools/tools.conf 2017-06-21 15:46:02 UTC (rev 8408)
@@ -0,0 +1,4 @@
+[logging]
+vmtoolsd.level = message
+vmsvc.level = error
+
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-20 22:34:52
|
Revision: 8407
http://sourceforge.net/p/astlinux/code/8407
Author: abelbeck
Date: 2017-06-20 22:34:49 +0000 (Tue, 20 Jun 2017)
Log Message:
-----------
update ChangeLog
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-06-20 18:04:16 UTC (rev 8406)
+++ branches/1.0/docs/ChangeLog.txt 2017-06-20 22:34:49 UTC (rev 8407)
@@ -23,8 +23,8 @@
-- Linux Kernel 3.16.44 (major bump)
--- RUNNIX, version bump to runnix-0.5-8385, with Linux Kernel 3.16.44, dropbear 2017.75
- Added kernel drivers: virtio_net and virtio-scsi
+-- RUNNIX, version bump to runnix-0.5-8405, with Linux Kernel 3.16.44, dropbear 2017.75
+ Added kernel drivers: virtio_net, virtio-scsi and vmw_pvscsi
Note: Now uses a PAE kernel for full RAM support
-- igb, version bump to 5.3.5.4, Intel Gigabit Ethernet Network Driver
@@ -31,12 +31,17 @@
-- r8168 version bump to 8.044.02 RealTek PCI-Express Gigabit Ethernet Linux driver
+-- genx86_64-vm board type, add support for VMware Tools (open-vm-tools 10.1.5).
+
-- genx86_64-vm board type, add support for virtio-scsi as a bootable disk driver, also added to RUNNIX.
+-- genx86_64-vm board type, add support for vmw_pvscsi as a bootable disk driver, also added to RUNNIX.
+ ESXi Config: SCSI Controllor 0 [ VMware Paravirtual ]
+
-- linux, add kernel patch 'x86: HPET force enable for e6xx based systems', for Soekris net6501
and other e6xx based non-ACPI systems, HPET will now get enabled resulting in a usable clocksource.
--- core system, mount /dev/shm on tmpfs to support POSIX semaphores (DAHDI uses them).
+-- core system, mount /dev/shm on tmpfs to support POSIX named semaphores (DAHDI uses them).
-- libsodium, version bump to 1.0.12
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-20 18:04:18
|
Revision: 8406
http://sourceforge.net/p/astlinux/code/8406
Author: abelbeck
Date: 2017-06-20 18:04:16 +0000 (Tue, 20 Jun 2017)
Log Message:
-----------
runnix, version bump to 0.5-8405
Modified Paths:
--------------
branches/1.0/boot/runnix/runnix.mk
Modified: branches/1.0/boot/runnix/runnix.mk
===================================================================
--- branches/1.0/boot/runnix/runnix.mk 2017-06-20 17:42:40 UTC (rev 8405)
+++ branches/1.0/boot/runnix/runnix.mk 2017-06-20 18:04:16 UTC (rev 8406)
@@ -4,7 +4,7 @@
#
#############################################################
-RUNNIX_VERSION = 0.5-8385
+RUNNIX_VERSION = 0.5-8405
RUNNIX_SOURCE = runnix-$(RUNNIX_VERSION).tar.gz
RUNNIX_SITE = http://mirror.astlinux-project.org/runnix5
RUNNIX_DEPENDENCIES = host-fdisk
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-20 17:42:42
|
Revision: 8405
http://sourceforge.net/p/astlinux/code/8405
Author: abelbeck
Date: 2017-06-20 17:42:40 +0000 (Tue, 20 Jun 2017)
Log Message:
-----------
Enable VMWARE_PVSCSI=y (vmw_pvscsi) as a bootable disk driver for both RUNNIX and the genx86_64-vm AstLinux, adds very little extra size to RUNNIX. Also add vmw_pvscsi to the ISO Installer (runnix-iso)
Modified Paths:
--------------
branches/1.0/project/astlinux/genx86_64/linux-smp-vm.config
branches/1.0/project/runnix/geni586/linux.config
branches/1.0/project/runnix-iso/geni586/linux.config
Modified: branches/1.0/project/astlinux/genx86_64/linux-smp-vm.config
===================================================================
--- branches/1.0/project/astlinux/genx86_64/linux-smp-vm.config 2017-06-19 15:47:53 UTC (rev 8404)
+++ branches/1.0/project/astlinux/genx86_64/linux-smp-vm.config 2017-06-20 17:42:40 UTC (rev 8405)
@@ -1179,7 +1179,7 @@
# CONFIG_SCSI_HPTIOP is not set
CONFIG_SCSI_BUSLOGIC=y
# CONFIG_SCSI_FLASHPOINT is not set
-# CONFIG_VMWARE_PVSCSI is not set
+CONFIG_VMWARE_PVSCSI=y
# CONFIG_HYPERV_STORAGE is not set
# CONFIG_LIBFC is not set
# CONFIG_LIBFCOE is not set
Modified: branches/1.0/project/runnix/geni586/linux.config
===================================================================
--- branches/1.0/project/runnix/geni586/linux.config 2017-06-19 15:47:53 UTC (rev 8404)
+++ branches/1.0/project/runnix/geni586/linux.config 2017-06-20 17:42:40 UTC (rev 8405)
@@ -809,7 +809,7 @@
# CONFIG_SCSI_HPTIOP is not set
CONFIG_SCSI_BUSLOGIC=y
# CONFIG_SCSI_FLASHPOINT is not set
-# CONFIG_VMWARE_PVSCSI is not set
+CONFIG_VMWARE_PVSCSI=y
# CONFIG_LIBFC is not set
# CONFIG_LIBFCOE is not set
# CONFIG_FCOE is not set
Modified: branches/1.0/project/runnix-iso/geni586/linux.config
===================================================================
--- branches/1.0/project/runnix-iso/geni586/linux.config 2017-06-19 15:47:53 UTC (rev 8404)
+++ branches/1.0/project/runnix-iso/geni586/linux.config 2017-06-20 17:42:40 UTC (rev 8405)
@@ -810,7 +810,7 @@
# CONFIG_SCSI_HPTIOP is not set
CONFIG_SCSI_BUSLOGIC=y
# CONFIG_SCSI_FLASHPOINT is not set
-# CONFIG_VMWARE_PVSCSI is not set
+CONFIG_VMWARE_PVSCSI=y
# CONFIG_LIBFC is not set
# CONFIG_LIBFCOE is not set
# CONFIG_FCOE is not set
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-19 15:47:56
|
Revision: 8404
http://sourceforge.net/p/astlinux/code/8404
Author: abelbeck
Date: 2017-06-19 15:47:53 +0000 (Mon, 19 Jun 2017)
Log Message:
-----------
update ChangeLog
Modified Paths:
--------------
branches/1.0/docs/ChangeLog.txt
Modified: branches/1.0/docs/ChangeLog.txt
===================================================================
--- branches/1.0/docs/ChangeLog.txt 2017-06-19 15:31:15 UTC (rev 8403)
+++ branches/1.0/docs/ChangeLog.txt 2017-06-19 15:47:53 UTC (rev 8404)
@@ -36,6 +36,8 @@
-- linux, add kernel patch 'x86: HPET force enable for e6xx based systems', for Soekris net6501
and other e6xx based non-ACPI systems, HPET will now get enabled resulting in a usable clocksource.
+-- core system, mount /dev/shm on tmpfs to support POSIX semaphores (DAHDI uses them).
+
-- libsodium, version bump to 1.0.12
-- sqlite, version bump to 3.19.3
@@ -42,6 +44,8 @@
-- tiff, version bump to 4.0.8, security fixes: 13 CVE's
+-- expat, version bump to 2.2.1, security fixes: CVE-2016-9063, CVE-2017-9233
+
-- sudo, version bump to 1.8.20p2, security fix: CVE-2017-1000367
-- Monit, version bump to 5.23.0
@@ -92,11 +96,11 @@
-- Asterisk 11.25.1 (no change) and 13.16.0 (version bump)
--- DAHDI, dahdi-linux 2.8.0.1 (no change) and dahdi-tools 2.8.0 (no change)
+-- DAHDI, dahdi-linux 2.10.2 (version bump) and dahdi-tools 2.10.2 (version bump)
-- pjsip 2.6 (no change)
--- FOP2, available version bump to 2.31.09.
+-- FOP2, available version bump to 2.31.10.
Note: If you have a license, you may need to purchase an "Annual Software Maintenance" license if you upgrade.
More info: http://doc.astlinux-project.org/userdoc:tt_asterisk-fop2-upgrade
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|
|
From: <abe...@us...> - 2017-06-19 15:31:17
|
Revision: 8403
http://sourceforge.net/p/astlinux/code/8403
Author: abelbeck
Date: 2017-06-19 15:31:15 +0000 (Mon, 19 Jun 2017)
Log Message:
-----------
asterisk-fop2, version bump to 2.31.10
Modified Paths:
--------------
branches/1.0/package/asterisk-fop2/asterisk-fop2.mk
branches/1.0/project/astlinux/target_skeleton/usr/sbin/upgrade-package
Modified: branches/1.0/package/asterisk-fop2/asterisk-fop2.mk
===================================================================
--- branches/1.0/package/asterisk-fop2/asterisk-fop2.mk 2017-06-19 15:10:14 UTC (rev 8402)
+++ branches/1.0/package/asterisk-fop2/asterisk-fop2.mk 2017-06-19 15:31:15 UTC (rev 8403)
@@ -3,7 +3,7 @@
# asterisk-fop2
#
#############################################################
-ASTERISK_FOP2_VERSION = 2.31.09
+ASTERISK_FOP2_VERSION = 2.31.10
ASTERISK_FOP2_SOURCE = fop2-$(ASTERISK_FOP2_VERSION)-debian-i386.tgz
ASTERISK_FOP2_SITE = http://download2.fop2.com
# Note: be sure to edit "project/astlinux/target_skeleton/usr/sbin/upgrade-package" on version change
Modified: branches/1.0/project/astlinux/target_skeleton/usr/sbin/upgrade-package
===================================================================
--- branches/1.0/project/astlinux/target_skeleton/usr/sbin/upgrade-package 2017-06-19 15:10:14 UTC (rev 8402)
+++ branches/1.0/project/astlinux/target_skeleton/usr/sbin/upgrade-package 2017-06-19 15:31:15 UTC (rev 8403)
@@ -248,7 +248,7 @@
if ! RAM_needed_MB 475; then
finish $RED "Not enough RAM installed. Minimum: 512 MB, Recommended: 1024+ MB"
fi
- SRC_URL="https://files.astlinux-project.org/fop2-2.31.09-debian-$(uname -m | sed -e 's/i.86/i386/').tgz"
+ SRC_URL="https://files.astlinux-project.org/fop2-2.31.10-debian-$(uname -m | sed -e 's/i.86/i386/').tgz"
;;
show)
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|